summaryrefslogtreecommitdiff
path: root/nsswitch
diff options
context:
space:
mode:
authorAndreas Schneider <asn@samba.org>2018-05-07 13:23:42 +0200
committerKarolin Seeger <kseeger@samba.org>2018-05-24 11:29:22 +0200
commit40a13413eb27f261d608c8071f86175c77e31ce4 (patch)
treee5e771e93d5a0187473e92009901b7592017467d /nsswitch
parenta28d7c4110f74f615a2ca7ba7e67db3a74ce3ff0 (diff)
downloadsamba-40a13413eb27f261d608c8071f86175c77e31ce4.tar.gz
nsswitch: Lookup the domain in tests with the wb seperator
Signed-off-by: Andreas Schneider <asn@samba.org> Reviewed-by: Stefan Metzmacher <metze@samba.org> (cherry picked from commit 4fa811ec7bc301e96f5e40ba281e8d4e8709b94f)
Diffstat (limited to 'nsswitch')
-rwxr-xr-xnsswitch/tests/test_idmap_ad.sh2
-rwxr-xr-xnsswitch/tests/test_idmap_nss.sh4
-rwxr-xr-xnsswitch/tests/test_idmap_rid.sh2
3 files changed, 4 insertions, 4 deletions
diff --git a/nsswitch/tests/test_idmap_ad.sh b/nsswitch/tests/test_idmap_ad.sh
index 2f4ee3293b2..7450ae06059 100755
--- a/nsswitch/tests/test_idmap_ad.sh
+++ b/nsswitch/tests/test_idmap_ad.sh
@@ -20,7 +20,7 @@ failed=0
. `dirname $0`/../../testprogs/blackbox/subunit.sh
-DOMAIN_SID=$($wbinfo -n "@$DOMAIN" | cut -f 1 -d " ")
+DOMAIN_SID=$($wbinfo -n "$DOMAIN/" | cut -f 1 -d " ")
if [ $? -ne 0 ] ; then
echo "Could not find domain SID" | subunit_fail_test "test_idmap_ad"
exit 1
diff --git a/nsswitch/tests/test_idmap_nss.sh b/nsswitch/tests/test_idmap_nss.sh
index 5072a0df72c..1bbc177774d 100755
--- a/nsswitch/tests/test_idmap_nss.sh
+++ b/nsswitch/tests/test_idmap_nss.sh
@@ -13,8 +13,8 @@ failed=0
. `dirname $0`/../../testprogs/blackbox/subunit.sh
-testit "wbinfo returns domain SID" $wbinfo -n "@$DOMAIN" || exit 1
-DOMAIN_SID=$($wbinfo -n "@$DOMAIN" | cut -f 1 -d " ")
+testit "wbinfo returns domain SID" $wbinfo -n "$DOMAIN/" || exit 1
+DOMAIN_SID=$($wbinfo -n "$DOMAIN/" | cut -f 1 -d " ")
echo "Domain $DOMAIN has SID $DOMAIN_SID"
# Find an unused uid and SID
diff --git a/nsswitch/tests/test_idmap_rid.sh b/nsswitch/tests/test_idmap_rid.sh
index 7fb59852cf5..8209a50a4fc 100755
--- a/nsswitch/tests/test_idmap_rid.sh
+++ b/nsswitch/tests/test_idmap_rid.sh
@@ -16,7 +16,7 @@ failed=0
. `dirname $0`/../../testprogs/blackbox/subunit.sh
-DOMAIN_SID=$($wbinfo -n "@$DOMAIN" | cut -f 1 -d " ")
+DOMAIN_SID=$($wbinfo -n "$DOMAIN/" | cut -f 1 -d " ")
if [ $? -ne 0 ] ; then
echo "Could not find domain SID" | subunit_fail_test "test_idmap_rid"
exit 1